Jump to content
Sign in to follow this  
Joao Guilherme

Compatibilidade script php

Recommended Posts

Olá pessoal, recebi um aviso da empresa onde hospedo meus sites, que eles irão migrar o php da versão 5.3.29 (atual) para 5.4.x, o problema que tenho um site rodando em php e banco de dados, e é um script meio antigo, será que vou ter algum problema? tem como eu saber se o script vai rodar?

Share this post


Link to post
Share on other sites

Tem de ver quais as mudanças vai ter da versão atual para a nova, tem de pesquisar se vai mudar funções que o script atual utilizada, se mudar algo com certeza vai ter de adequar o seu script.

Share this post


Link to post
Share on other sites

Olá pessoal, recebi um aviso da empresa onde hospedo meus sites, que eles irão migrar o php da versão 5.3.29 (atual) para 5.4.x, o problema que tenho um site rodando em php e banco de dados, e é um script meio antigo, será que vou ter algum problema? tem como eu saber se o script vai rodar?

Muitas empresa de host Guilherme, trabalha com o seletor php, se tiver esse seletor php, você não vai ter problemas.

Aqui fala um pouco sobre o assunto http://portaldohost.com.br/forum/topic/16176-seletor-de-versões-do-php-para-cpanel/


S1Host Internet Services

Share this post


Link to post
Share on other sites

Tem de ver quais as mudanças vai ter da versão atual para a nova, tem de pesquisar se vai mudar funções que o script atual utilizada, se mudar algo com certeza vai ter de adequar o seu script.

uma boa parte dos sites quando eu mudei o php Lucas, deu erro interno.

ai foi só colocar o seletor e deu tudo certo.


S1Host Internet Services

Share this post


Link to post
Share on other sites

S1Host, acho que não se ateu ao detalhe em que o mesmo informa que a empresa que ele hospeda vai trocar a versão.

Lucas o link foi só pra ele conhecer o seletor.

Se ele perguntou sobre se vai da problemas no site dele, é porque ele não tem conhecimento do seletor, e que ele pode fazer o pedido a empresa ou procurar outra se o site dele não rodar no php 5.4


S1Host Internet Services

Share this post


Link to post
Share on other sites

exatamente quero saber se meu site vai rodar ou não na nova versão.

João, primeiro entre e contato com sua empresa de Host e pergunte sobre o seletor.

Se tiver o seletor, você não vai ter problemas.

Se não tiver o seletor, entre em contato com a empresa que fez o seu site, para ver se pode fazer uma atualização do seu portal para um novo php 5.4

 

Se não de certo tudo isso que te falei, procure uma empresa que tenha esse seletor, para você mudar para sua versão php 5.3.

Porque a maioria das empresas de host, já esta com a nova versão php.


S1Host Internet Services

Share this post


Link to post
Share on other sites

exatamente quero saber se meu site vai rodar ou não na nova versão.

Não tem como saber se seu site irá dar "pau" sem ter acesso ao código fonte. Mas é bem possível sim. Se teu host não tiver seletor de versão do PHP basta simplesmente procurar outro! Ou se tiver grana, contratar um desenvolvedor p/ atualizar seu script.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.





×
×
  • Create New...